Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003917TestLinkUser Interface Generalpublic2010-10-20 14:052010-11-14 12:07
ReporterEloff 
Assigned ToEloff 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 RC 1 
Fixed in Version1.9 (Prague) 
Summary0003917: Test Specification: clean up buttons
Description1. Go to test spec
2. Click on a test suite

There are 13 of buttons mostly laying around broken into four rows.

I propose to clean this up by adding groups Test Suite and Test Cases with their corresponding buttons. In this way also the texts on the buttons can be shortened.

I'll attach a mockup soon for feedback
TagsNo tags attached.
Database (MySQL,Postgres,etc)irrelevant
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon Sk√§rmbild-TestLink 1.9 (GA - Development) - Chromium-1.png [^] (80,951 bytes) 2010-10-20 15:13


png file icon commented_mockup_julian.png [^] (106,898 bytes) 2010-10-20 15:27

- Relationships
related to 0003918closedEloff Requirement Specification: clean up buttons 

-  Notes
(0012002)
Eloff (reporter)
2010-10-20 15:14

Reminder sent to: fman, Julian

Uploaded a mockup, comments are welcome
(0012004)
Julian (reporter)
2010-10-20 15:33

labels i would change:

Group labels:
Test Suite -> Test Suite Operations
Test Case -> Test Case Operations

Button labels:
Create Test Case -> Create
Create Test Suite -> Create

order of buttons should be the same for test cases and test suites:

Create, Edit (only exists for suite), Move/Copy, Delete, Import, Export, Sort
(0012031)
Eloff (reporter)
2010-10-22 13:35

fix committed to cvs
(0012547)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-10-20 14:05 Eloff New Issue
2010-10-20 14:05 Eloff Status new => assigned
2010-10-20 14:05 Eloff Assigned To => Eloff
2010-10-20 15:13 Eloff File Added: Skärmbild-TestLink 1.9 (GA - Development) - Chromium-1.png
2010-10-20 15:14 Eloff Note Added: 0012002
2010-10-20 15:27 Julian File Added: commented_mockup_julian.png
2010-10-20 15:33 Julian Note Added: 0012004
2010-10-20 15:49 Julian Issue cloned: 0003918
2010-10-20 15:49 Julian Relationship added related to 0003918
2010-10-22 13:35 Eloff Note Added: 0012031
2010-10-22 13:35 Eloff Status assigned => resolved
2010-10-22 13:35 Eloff Fixed in Version => 1.9 (Prague)
2010-10-22 13:35 Eloff Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012547
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker